import Vue from 'vue';
import Toast from './index.vue';
// 使用 Vue.extend() 创建 Toast 的构造器
const ToastConstructor = Vue.extend(Toast);
// 2021年05月15日16:40:16
// author: 张宇童
// 创建一个instance列表
const instance = [];
// padding的边距
const padding = 16
let seed = 1;

const toast = function(options = {}) {
    // 创建 Toast 实例，通过构造函数传参，
    // 计算垂直高度
    let vertical_offset = padding;
    let id = 'toast_' + seed++;
    for (let i of instance) {
        if (i.position === options.position) vertical_offset += i.$el.offsetHeight + padding;

    }
    console.log(vertical_offset, 'vertical_offset')
    // 并调用 Vue 实例上的 $mount() 手动挂载
    const toastInstance = new ToastConstructor({
        data: {...options, fixed_offset: padding, verticalOffset:vertical_offset}
    }).$mount();
    toastInstance.id = id
    toastInstance.onClose = function() {
        toast.close(id)
    }
    // 计算高度
    // 手动把真实 dom 挂到 html 的 body 上
    document.body.appendChild(toastInstance.$el);
    instance.push(toastInstance)
    return toastInstance;
};

toast.close = function (id) {
    const index = instance.findIndex((current_instance) => current_instance.id === id)
    const del_instance = instance[index];
    instance.splice(index, 1)
    for(let i in instance) {
        if (instance[i].position === del_instance.position) {
            instance[i].verticalOffset = instance[i].verticalOffset - del_instance.$el.offsetHeight - 16;
        }
    }

}



// 导出包装好的 toast 方法
export default toast;
